Bug 58140 - Support transitions to and from 'auto' values of left, top, width, height, etc.
Summary: Support transitions to and from 'auto' values of left, top, width, height, etc.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-08 06:25 PDT by gossi
Modified: 2012-01-04 19:54 PST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gossi 2011-04-08 06:25:51 PDT
Please support transitions to auto values. Like a transition from height: 0; to height: auto;

I attached such a non-yet-working example.

See also Mozilla's Bug: https://bugzilla.mozilla.org/show_bug.cgi?id=571344

Thanks.
Comment 1 David Calhoun 2011-10-03 13:41:29 PDT
The way this works now seems like a bug.

Current behavior:
A transition from a specific height to height:auto will result in the element animating to height:0 and only then jumping down immediately to height:auto.

Expected behavior:
A transition from a specific height to height:auto should result in a smooth transition to the value calculated by height:auto.  The height:auto calculation shouldn't occur after the transition.
Comment 2 David Barr 2011-10-12 21:07:48 PDT
Tested with WebKit nightly (r97312) and test suite,
http://louisremi.github.com/jquery.transition.js/transition%20bugs/index.html

The 5th test, which corresponds to this bug report:
"When...
...the initial value of an animated property is 'auto'
I expect the property to be animated properly."
passed, so this bug is resolved at or before r97312.
Comment 3 Shane Stephens 2012-01-04 19:54:49 PST
Marking this as resolved. Although the current behaviour may not seem ideal, the specification (http://dev.w3.org/csswg/css3-transitions/) doesn't deal with what happens when animating to/from auto at all. It's better to discuss this issue on www-style@w3.org and wait for a specified behaviour to exist than to debate in this bug.